{varType Skadmin\ChildrensCamp\Doctrine\ChildrensCampRegistration\ChildrensCampRegistration $registration}

<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                <div class="row"> {* TAB-TABS *}
                    <div class="col-12">
                        <ul class="nav nav-tabs" id="childrens-camp-tab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="general-tab" data-toggle="tab" href="#general" role="tab" aria-controls="general" aria-selected="false">
                                    <i class="fas fa-fw fa-cogs"></i> <span class="d-none d-lg-inline-block">{_'form.childrens-camp.edit-registration.tab.general'}</span>
                                </a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" id="invoice-tab" data-toggle="tab" href="#invoice" role="tab" aria-controls="price" aria-selected="false">
                                    <i class="fas fa-fw fa-file-invoice-dollar"></i> <span class="d-none d-lg-inline-block">{_'form.childrens-camp.edit-registration.tab.invoice'}</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>

                {snippetArea snipForm}
                    {form form}
                        <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                        <div class="tab-content pt-3" id="childrens-camp-tab-content"> {* TAB-CONTENT *}
                            <div class="tab-pane fade active show" id="general" role="tabpanel" aria-labelledby="general-tab">
                                <div class="row">
                                    <h4 class="col-12 text-primary">
                                        Stav registrace
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-md-6">
                                        {label status}
                                        <div class="form-group">
                                            {input status class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6">
                                        {label alreadyPaid}
                                        <div class="form-group">
                                            {input alreadyPaid class => 'form-control text-right'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <h4 class="col-12 text-primary">
                                        Informace o táborníkovi
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-md-6 col-xl-3 col-xxl-4">
                                        {label childFirstName}
                                        <div class="form-group">
                                            {input childFirstName class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-xl-3 col-xxl-4">
                                        {label childLastName}
                                        <div class="form-group">
                                            {input childLastName class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-xl-3 col-xxl-2">
                                        {label personalIdentificationNumber}
                                        <div class="form-group">
                                            {input personalIdentificationNumber class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-xl-3 col-xxl-2">
                                        {label birthdate}
                                        <div class="form-group">
                                            {input birthdate class => 'form-control', autocomplete => 'off'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <h4 class="col-12 mt-2 text-primary">
                                        Adresa
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-md-5">
                                        {label street}
                                        <div class="form-group">
                                            {input street class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-4">
                                        {label city}
                                        <div class="form-group">
                                            {input city class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-3">
                                        {label zipCode}
                                        <div class="form-group">
                                            {input zipCode class => 'form-control'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <h4 class="col-12 mt-2 text-primary">
                                        Kontakt na zákonného zástupce
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-lg-6">
                                        {label contactEmail}
                                        <div class="form-group">
                                            {input contactEmail class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-lg-3">
                                        {label motherName}
                                        <div class="form-group">
                                            {input motherName class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-lg-3">
                                        {label motherPhone}
                                        <div class="form-group">
                                            {input motherPhone class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-lg-3">
                                        {label fatherName}
                                        <div class="form-group">
                                            {input fatherName class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-lg-3">
                                        {label fatherPhone}
                                        <div class="form-group">
                                            {input fatherPhone class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-lg-3">
                                        {label legalRepresentativeName}
                                        <div class="form-group">
                                            {input legalRepresentativeName class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6 col-lg-3">
                                        {label legalRepresentativePhone}
                                        <div class="form-group">
                                            {input legalRepresentativePhone class => 'form-control'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <h4 class="col-12 mt-2 text-primary">
                                        Doprava a platba
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-md-6">
                                        {label transport}
                                        <div class="form-group">
                                            {input transport class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-md-6">
                                        {label payment}
                                        <div class="form-group">
                                            {input payment class => 'form-control'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <h4 class="col-12 mt-2 text-primary">
                                        Informace o dítěti
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-lg-6">
                                        {label swimmingSkills}
                                        <div class="form-group">
                                            {input swimmingSkills class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6">
                                        {label insuranceCompany}
                                        <div class="form-group">
                                            {input insuranceCompany class => 'form-control'}
                                        </div>

                                        <div>
                                            {$form['confirmationForTheInsuranceCompany']|formCheckbox}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6">
                                        {label healthCondition}
                                        <div class="form-group">
                                            {input healthCondition class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6">
                                        {label washingFirst}
                                        <div class="form-group">
                                            {input washingFirst class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6">
                                        {label washingSecond}
                                        <div class="form-group">
                                            {input washingSecond class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6">
                                        {label washingThird}
                                        <div class="form-group">
                                            {input washingThird class => 'form-control'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row" n:ifset="$form['tshirt-tshirtColor']">
                                    <h4 class="col-12 mt-3 text-primary">
                                        Táborové tričko
                                    </h4>
                                </div>

                                <div class="row" n:ifset="$form['tshirt-tshirtColor']">
                                    <div class="col-12">
                                        {$form['tshirt-wantTshirt']|formCheckbox}
                                    </div>

                                    <div class="col-12" id="toggle-tshirt">
                                        <div class="row">
                                            <div class="col-12 col-md-4">
                                                {label tshirt-tshirtColor}
                                                <div class="form-group">
                                                    {input tshirt-tshirtColor class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-4">
                                                {label tshirt-tshirtSize}
                                                <div class="form-group">
                                                    {input tshirt-tshirtSize class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-4">
                                                {label tshirt-tshirtCount}
                                                <div class="form-group">
                                                    {input tshirt-tshirtCount class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                {label tshirt-tshirtNote}
                                                <div class="form-group mb-2">
                                                    {input tshirt-tshirtNote class => 'form-control'}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <h4 class="col-12 mt-3 text-primary">
                                        Závěrečná poznámka
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        {label note}
                                        <div class="form-group">
                                            {input note class => 'form-control'}
                                        </div>
                                    </div>
                                </div>


                                <div class="row mt-2">
                                    <h4 class="col-12 text-primary">
                                        Souhlasy s vedením tábora
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        {$form['consentToTheCampRules']|formCheckbox}
                                    </div>

                                    <div class="col-12">
                                        {$form['consentToPersonalDataProtection']|formCheckbox}
                                    </div>

                                    <div class="col-12">
                                        {$form['consentToTheProcessingOfSensitiveData']|formCheckbox}
                                    </div>

                                    <div class="col-12">
                                        {$form['permissionToSeparateAChildOnTrip']|formCheckbox}
                                    </div>
                                </div>

                                <div class="row mt-3">
                                    <h4 class="col-12 text-primary">
                                        Příplatky a slevy
                                    </h4>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        {label price-supplements}
                                        <div class="form-group mb-2">
                                            {input price-supplements  class => 'form-control chosen-select',
                                            data-chosen-placeholder-text => ('form.childrens-camp.edit-registration.supplements.placeholder'|translate),
                                            data-chosen-no-result-text => ('form.childrens-camp.edit-registration.supplements.no-result'|translate)}
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-4">
                                    <h4 class="col-12 text-primary">
                                        Rekapitulace ceny
                                    </h4>
                                </div>

                                <div class="row js-camp-price">
                                    <div class="col-12 border-bottom border-primary py-2">
                                        <div class="row font-weight-bold">
                                            <div class="col-8">Položka</div>
                                            <div class="col-4 text-end">Cena</div>
                                        </div>
                                    </div>

                                    <div class="col-12 pt-2">
                                        <div class="row" data-camp-price="{$registration->getCampPrice()}">
                                            <div class="col-8">{$registration->getCamp()->getName()}</div>
                                            <div class="col-4 text-end">{$registration->getCampPrice()|number:2:',':' '} Kč</div>
                                        </div>
                                    </div>

                                    <div class="col-12 pt-2 d-none" id="js-toggle-tshirt-price">
                                        <div class="row js-camp-tshirt" data-camp-price="{$registration->getCamp()->getTshirtPrice()}">
                                            <div class="col-8">
                                                Táborové tričko - <span id="js-tshirt-type"></span>
                                                <div class="small text-muted" id="js-tshirt-note"></div>
                                            </div>
                                            <div class="col-4 text-end">{$registration->getCamp()->getTshirtPrice()|number:2:',':' '} Kč</div>
                                        </div>
                                    </div>

                                    <div class="col-12 pt-2" n:foreach="$registration->getCamp()->getSupplements() as $supplement" id="toogle-camp-supplement-price-{$supplement->getId()}">
                                        <div class="row" data-camp-price="{$supplement->getPrice(true)}">
                                            <div class="col-8">{$supplement->getName()}</div>
                                            <div class="col-4 text-end">{$supplement->getPrice(true)|number:2:',':' '} Kč</div>
                                        </div>
                                    </div>

                                    <div class="col-12 border-top border-primary pt-1 mt-2"></div>
                                    <div class="col-12 border-top border-primary py-2">
                                        <div class="row font-weight-bold fs-5">
                                            <div class="col-8">Celková cena</div>
                                            <div class="col-4 text-end"><span id="js-camp-price-total"></span> Kč</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-4 border-left-warning">
                                    <div class="col-12 font-weight-bold">
                                        {$form['sendEmailByState']|formCheckbox:'mb-0'}
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane fade" id="invoice" role="tabpanel" aria-labelledby="invoice-tab">
                                <div class="row">
                                    <div class="col-12">
                                        {$form['invoice-isInvoice']|formCheckbox}
                                    </div>

                                    <div class="col-12" id="toggle-invoice">
                                        <div class="row" n:snippet="snipFormInvoice">
                                            <div class="col-12 col-md-6">
                                                {label invoice-invoiceIN}
                                                <div class="form-group">
                                                    <input n:name="invoice-invoiceIN" class="form-control" data-form-change-link="{link loadFromAres!}"/>
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-6">
                                                {label invoice-invoiceTIN}
                                                <div class="form-group">
                                                    {input invoice-invoiceTIN class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                {label invoice-invoiceFirm}
                                                <div class="form-group">
                                                    {input invoice-invoiceFirm class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-5">
                                                {label invoice-invoiceStreet}
                                                <div class="form-group">
                                                    {input invoice-invoiceStreet class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-4">
                                                {label invoice-invoiceCity}
                                                <div class="form-group">
                                                    {input invoice-invoiceCity class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-3">
                                                {label invoice-invoiceZipCode}
                                                <div class="form-group">
                                                    {input invoice-invoiceZipCode class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                {label invoice-invoiceNote}
                                                <div class="form-group">
                                                    {input invoice-invoiceNote class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 mt-3">
                                                <h4>{_'form.childrens-camp.edit-registration.invoice-pdf'}</h4>
                                            </div>

                                            <div class="col-12 col-md-6 col-xl-3">
                                                {label invoicePDF-invoicePrice}
                                                <div class="form-group">
                                                    {input invoicePDF-invoicePrice class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-6 col-xl-3">
                                                {label invoicePDF-invoiceDateOfIssue}
                                                <div class="form-group">
                                                    {input invoicePDF-invoiceDateOfIssue class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-6 col-xl-3">
                                                {label invoicePDF-invoiceDateOfTaxableSupply}
                                                <div class="form-group">
                                                    {input invoicePDF-invoiceDateOfTaxableSupply class => 'form-control'}
                                                </div>
                                            </div>

                                            <div class="col-12 col-md-6 col-xl-3">
                                                {label invoicePDF-invoiceDateDue}
                                                <div class="form-group">
                                                    {input invoicePDF-invoiceDateDue class => 'form-control'}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row mt-3">
                            <div class="col-12">
                                {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                                {input sendBack class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                                {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                            </div>
                        </div>

                        <script n:syntax="double">
                            $(function () {
                                function numberFormat(number, decimals = 2, decPoint = ',', thousandsSep = ' ') {
                                    number = number.toFixed(decimals);

                                    var nstr = number.toString();
                                    nstr += '';
                                    x = nstr.split('.');
                                    x1 = x[0];
                                    x2 = x.length > 1 ? decPoint + x[1] : '';
                                    var rgx = /(\d+)(\d{3})/;

                                    while (rgx.test(x1))
                                        x1 = x1.replace(rgx, '$1' + thousandsSep + '$2');

                                    return x1 + x2;
                                }

                                function recalculatePrice() {
                                    let price = 0;

                                    $('.row[data-camp-price]').each(function () {
                                        if (!$(this).parent().hasClass('d-none') && !$(this).parent().is(':hidden')) {
                                            let count = 1;
                                            if ($(this).hasClass('js-camp-tshirt')) {
                                                count = parseInt($('#' + {{$form['tshirt-tshirtCount']->getHtmlId()}}).val());
                                            }
                                            price += count * parseFloat($(this).data('camp-price'));
                                        }
                                    });

                                    $('#js-camp-price-total').text(numberFormat(price));
                                }

                                $('#' + {{$form['tshirt-wantTshirt']->getHtmlId()}}).change(function () {
                                    if ($(this).prop('checked')) {
                                        $('#js-toggle-tshirt-price').removeClass('d-none');
                                    } else {
                                        $('#js-toggle-tshirt-price').addClass('d-none');
                                    }

                                    recalculatePrice();
                                }).trigger('change');

                                $('#' + {{$form['tshirt-tshirtColor']->getHtmlId()}} + ',#' + {{$form['tshirt-tshirtSize']->getHtmlId()}} + ',#' + {{$form['tshirt-tshirtCount']->getHtmlId()}}).change(function () {
                                    let color = $('#' + {{$form['tshirt-tshirtColor']->getHtmlId()}}).val();
                                    let size = $('#' + {{$form['tshirt-tshirtSize']->getHtmlId()}}).val();
                                    let count = $('#' + {{$form['tshirt-tshirtCount']->getHtmlId()}}).val();

                                    $('#js-tshirt-type').text(count + 'x ' + color + '[' + size + ']');
                                    recalculatePrice();
                                }).trigger('change');

                                $('#' + {{$form['tshirt-tshirtNote']->getHtmlId()}}).change(function () {
                                    $('#js-tshirt-note').text(this.value);
                                }).trigger('change');

                                $('#' + {{$form['price-supplements']->getHtmlId()}}).change(function () {
                                    setTimeout(function () {
                                        recalculatePrice();
                                    }, 100);
                                });

                                recalculatePrice();
                            });
                        </script>
                    {/form}
                {/snippetArea}
            </div>
        </div>
    </div>
</div>